import 'dart:ui';

import 'package:flutter/foundation.dart';

/// Base class for fonts
/// A simple class where colors should be added as [Color]
abstract class ColorResources {

  // Basic Text Colors
  Color textPrimary;
  Color textSecondary;
  Color textTertiary;

  ColorResources({
    @required this.textPrimary,
    @required this.textSecondary,
    @required this.textTertiary
  });


}