import 'package:flutter/widgets.dart';

/// Serves as a repository for all strings
///
abstract class StringsRepository<StringsClass> extends ChangeNotifier {

  StringsClass strings;

  StringsRepository({this.strings});

  void setStrings(StringsClass strings) {
    this.strings = strings;
    notifyListeners();
  }


}