import 'package:flutter/foundation.dart';
import 'package:flutter/material.dart';
import 'package:flutterskel/resources/themes/ThemeResources.dart';

import '../colors/ColorsResources.dart';
import '../dimensions/Dimensions.dart';
import '../fonts/AppFonts.dart';

class Theme extends ThemeResources<Dimensions, ColorResources, AppFonts> {

  Theme({
    @required Dimensions dimensions,
    @required ColorResources colors,
    @required AppFonts fonts,
    @required ThemeData materialTheme
  }) : super(dimensions: dimensions, colors: colors, fonts: fonts, materialTheme: materialTheme);

}